# Deprecated API

## Contents

- Fields
- Methods
- Constructors

Deprecated Fields
Field
Description
com.sun.mail.imap.IMAPFolder.FetchProfileItem.SIZE

Deprecated Methods
Method
Description
com.sun.mail.dsn.MultipartReport.getDeliveryStatus()
use getReport instead
com.sun.mail.imap.protocol.IMAPProtocol.id(String)
As of JavaMail 1.5.1, replaced by `id(Map<String,String>)`
com.sun.mail.util.PropUtil.getBooleanSessionProperty(Session, String, boolean)
com.sun.mail.util.PropUtil.getIntSessionProperty(Session, String, int)
com.sun.mail.util.SocketFetcher.startTLS(Socket)
com.sun.mail.util.SocketFetcher.startTLS(Socket, Properties, String)

Deprecated Constructors
Constructor
Description
com.sun.mail.imap.protocol.SearchSequence()
com.sun.mail.util.MailLogger(Class<?>, String, Session)
com.sun.mail.util.MailLogger(String, String, Session)